Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7328 - egcs & ld complains about a missing file - crt1.o
Summary: egcs & ld complains about a missing file - crt1.o
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: egcs
Version: 6.1
Hardware: sparc
OS: Linux
medium
high
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-25 13:34 UTC by franck.lemonnier
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-26 15:07:00 UTC


Attachments (Terms of Use)

Description franck.lemonnier 1999-11-25 13:34:50 UTC
I try to compile a kde application on a redhat 6.1 sparc distrib (target
platform = Sun ULTRA 5) and I got the following message:

[lemonni4@ors40428 /tmp/knewmail-3.1]$ ./configure
creating cache ./config.cache
checking for a C-Compiler...
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... no
configure: error: installation or configuration problem: C compiler cannot
create executables.

So, I create a little test "hello world" program (tst.c) to check egcs and
here is the result :

[lemonni4@ors40428 /tmp]$ gcc tst.c -o tst
/usr/bin/ld: cannot open crt1.o: No such file or directory
collect2: ld returned 1 exit status

It's impossible to find a such file in /usr/lib/gcc-lib.

I've installed the following packages :
compat-egcs-5.2-1.0.3a.1
compat-egcs-c++-5.2-1.0.3a.1
compat-egcs-g77-5.2-1.0.3a.1
compat-egcs-objc-5.2-1.0.3a.1
egcs-1.1.2-24
egcs-c++-1.1.2-24
egcs-g77-1.1.2-24
egcs-objc-1.1.2-24
egcs64-19980921-4

Furthermore, if in my "tst.c" program I include "#include <stdio.h>", gcc
display :
[lemonni4@ors40428 /tmp]$ gcc tst.c -o tst
tst.c:1: stdio.h: No such file or directory

There is no stdio.h in /usr/include or in one of his subdirectory.

some ideas ? Thanks.

Comment 1 Jim Kingdon 1999-11-25 22:22:59 UTC
crt1.o and stdio.h are both in the glibc-devel package (it
isn't a dependency, however, since it is possible to use gcc
without them, with options like -nostdlib).


Note You need to log in before you can comment on or make changes to this bug.